//
//  VPNUCrossAuthData.h
//  VPNUnlimitedSDK
//
//  Copyright (c) 2020 KeepSolid. All rights reserved.
//

//
// Use of this SDK is subject to the VPN Unlimited SDK License Agreement
// https://www.keepsolid.com/static/docs/VPN_Unlimited_SDK_License.html
//

#import <Foundation/Foundation.h>

@class VPNUAccountUserInfo;

NS_ASSUME_NONNULL_BEGIN

@interface VPNUCrossAuthData : NSObject
@property (readonly) NSString *accessToken;
@property (readonly) NSString *refreshToken;
@property (readonly) NSString *username;
@property (readonly) NSString *appName;
@property (readonly) NSString *appBundleIdentifier;
@property (readonly) NSDate *expirationDate;
@property (readonly) NSString *entryPointType;
 
@property (readonly) BOOL isExpired;

- (instancetype)initWithUserInfo:(VPNUAccountUserInfo *)userInfo
                         appName:(NSString *)appName;

- (instancetype)initWithDictionary:(NSDictionary *)dictionary;

- (NSDictionary *)dictionaryRepresantation;

@end

NS_ASSUME_NONNULL_END
