//
//  VPNUnlimitedSDKErrorCodes.h
//  VPNUnlimitedSDK
//
//  Copyright (c) 2015 KeepSolid. All rights reserved.
//

//
// Use of this SDK is subject to the VPN Unlimited SDK License Agreement
// https://www.keepsolid.com/static/docs/VPN_Unlimited_SDK_License.html
//

/*!
 @header
 @abstract Header file
 */

#pragma once

#import <Foundation/Foundation.h>

/*!
 @typedef VPNUErrorDomain
 @brief errors
 */
typedef enum {
    VPNUErrorDomainDefault,
    VPNUErrorDomainCustomProto1,
    VPNUErrorDomainPacketTunnelCommunication
} VPNUErrorDomain;

/*!
 @typedef VPNUCustomProto1Error
 @brief errors
 */
typedef enum {
    VPNUCustomProto1ErrorUnknown = 222,
    VPNUCustomProto1ErrorFatalError,
    VPNUCustomProto1ErrorFailedToInitialize,
    VPNUCustomProto1ErrorAssignIP,
    VPNUCustomProto1ErrorInitialServerResponse,
    VPNUCustomProto1ErrorAuth,
    VPNUCustomProto1ErrorGetConfig,
    VPNUCustomProto1ErrorResolve,
    VPNUCustomProto1ErrorTCPConnect,
    VPNUCustomProto1ErrorTooMuchReconnects
} VPNUCustomProto1Error;

/*!
 @typedef VPNUPacketTunnelCommunicationError
 @brief errors
 */
typedef enum {
    VPNUPacketTunnelCommunicationErrorNoError = 0,
    VPNUPacketTunnelCommunicationErrorUnknown = 620,
    VPNUPacketTunnelCommunicationErrorResponseTimeout,
    VPNUPacketTunnelCommunicationErrorMessagingServerCreate,
    VPNUPacketTunnelCommunicationErrorMessagingServerStart,
    VPNUPacketTunnelCommunicationErrorWrongSessionClass,
    VPNUPacketTunnelCommunicationErrorInvalidConnectionStatus,
    VPNUPacketTunnelCommunicationErrorHandshakeData,
    VPNUPacketTunnelCommunicationErrorDeserializeMessage,
    VPNUPacketTunnelCommunicationErrorProviderCommunication,
    VPNUPacketTunnelCommunicationErrorUnexpectedResponse
} VPNUPacketTunnelCommunicationError;

/*!
 @enum VPNUError
 @brief errors
 */
enum {
    VPNUErrorUnknown = -1,
    VPNUErrorUnexpectedServerResponse = 1000,
    VPNUErrorNotSupported = 1500,
    VPNUErrorKeyNoDeviceID = 2000,
    VPNUErrorLoginPassEmpty = 2001,
    VPNUErrorLoginEmpty = 2002,
    VPNUErrorServerItemRegionEmpty = 2003,
    VPNUErrorInvalidProfileURL = 2004,
    VPNUErrorFakeAccountNotDetected = 2005,
    VPNUErrorSessionDeathCantRecover = 2500,
    VPNUErrorNoProtocolInVPNPrefs = 3000,
    VPNUErrorNoProfileInstalled
};

