//
//  VPNULocation.h
//  VPNUnlimitedSDK
//
//  Created by Nikonenko on 6/12/19.
//  Copyright © 2019 KeepSolid. All rights reserved.
//

#import <CoreLocation/CLLocation.h>

/*!
 @header
 @abstract Header file
 */

/*!
 @class VPNULocation
 @abstract
 A model object which describes a user's geolocation.
 */

@interface VPNULocation : NSObject <NSCoding>

/*!
 @brief A structure that contains a user's geographical coordinate.
 */
@property (nonatomic, readonly) CLLocationCoordinate2D coordinates;
/*!
 @brief City.
 */
@property (copy, readonly) NSString *city;
/*!
 @brief Country.
 */
@property (copy, readonly) NSString *country;
/*!
 @brief Returns current IP address.
 */
@property (copy, readonly) NSString *ip;
/*!
 @brief VPN region
 */
@property (copy, readonly) NSString *region;

@end

