//
//  VPNUPersonalServer.h
//  VPNUnlimitedSDK
//
//  Copyright © 2018 KeepSolid. All rights reserved.
//

#import <Foundation/Foundation.h>

/*!
 @header
 @abstract Header file
 */

/*!
 @class VPNUPersonalServer
 @abstract Personal server info
 */
@interface VPNUPersonalServer : NSObject

/*!
 @brief Returns continent.
 */
@property (copy, readonly) NSString *continent;
/*!
 @brief Returns region.
 */
@property (copy, readonly) NSString *region;
/*!
 @brief Returns region name.
 */
@property (copy, readonly) NSString *regionName;
/*!
 @brief URL of country's flag image.
 */
@property (copy, readonly) NSString *flagURL;

/*!
 @brief Returns server transfer.
 */
@property (readonly) NSNumber *transfer;

/*!
 @brief Returns server cpu cores.
 */
@property (readonly) NSNumber *cpuCores;
/*!
 @brief Returns server memory.
 */
@property (readonly) NSNumber *memory;
/*!
 @brief Returns server speed.
 */
@property (readonly) NSNumber *speed;

@end
