//
//  VPNUTokenProvider.h
//  VPNUnlimitedSDK
//
//  Copyright (c) 2020 KeepSolid. All rights reserved.
//

//
// Use of this SDK is subject to the VPN Unlimited SDK License Agreement
// https://www.keepsolid.com/static/docs/VPN_Unlimited_SDK_License.html
//

#import <Foundation/Foundation.h>

/*!
 @protocol VPNUTokenProvider
 @abstract
 Protocol for provide authorization tokens.
 */
@protocol VPNUTokenProvider <NSObject>
@required

/*!
@brief Supports token authorization.
*/
- (BOOL)supportsTokenAuthorization;
/*!
 @brief Access token.
 */
- (NSString *_Nullable)accessToken;
/*!
 @brief Refresh token.
 */
- (NSString *_Nullable)refreshToken;

@end
