//
//  VPNUTwoFactorAuth.h
//  VPNUnlimitedSDK
//
//  Copyright (c) 2020 KeepSolid. All rights reserved.
//

//
// Use of this SDK is subject to the VPN Unlimited SDK License Agreement
// https://www.keepsolid.com/static/docs/VPN_Unlimited_SDK_License.html
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@class VPNUTwoFactorStatuses;

@interface VPNUTwoFactorAuth : NSObject

@property (strong) NSString *login;

@property (nonatomic, readonly) NSDictionary *socialRelatedData;

@property (nonatomic, readonly) NSUInteger recoveryKeysLeft;

@property (nonatomic, readonly) NSArray<VPNUTwoFactorStatuses *> *statuses;

/*!
 @brief Initializes and returns a newly allocated account info object with the specified dictionary object.
 @param dictionary The dictionary object for internal usage.
 @return An initialized account info object or nil if the object couldn't be created.
 */
- (instancetype)initWithDictionary:(NSDictionary *)dictionary NS_DESIGNATED_INITIALIZER;

@end

NS_ASSUME_NONNULL_END
